Subject: e1000e: Hardware CRC stripping doesn't work with 82566DM-2

From: Johan Andersson <[email-masked]>
Date: Wed, 06 Feb 2008 21:42:28 +0100

Hi,

In commit 140a74802894e9db57e5cd77ccff77e590ece5f3 a workaround for crc 
stripping was removed.
However, the hardware supported crc stripping now in use doesn't seem to 
work with the following chip:
Intel Corporation 82566DM-2 Gigabit Network Connection (rev 02) (8086:10bd)

I discovered this while trying to make this nic member of a bridge. 
Since some frames get too large for the bridge they are dropped, making 
it impossible to use this nic in a bridge.

Reverting this commit makes the nic and brigde work again.

Are there any more chips in this family suffering from this?

/Johan Andersson